#include<bits/stdc++.h>
using namespace std;
long long n; int br; int x[100005], y[100005], z[100005];
int main(){
    scanf("%lld", &n);
    for(int i = 1; i <= n; i++){
        scanf("%d", &x[i]);
    }
    for(int i = 1; i <= n; i++){
        scanf("%d", &y[i]);
    }
    for(int i = 1; i <= n; i++){
        scanf("%d", &z[i]);
    }
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++){
            if(x[i] == y[j]) {
                for(int k = 1; k <= n; k++){
                    if(j == z[k]) br++;
                }
            }
            else{}
        }
    }
    printf("%d\n", br);
    return 0;
}